commit: d17f018aebccd9299ba9bfc9c45ee98604249808
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 24 11:53:19 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Dec 24 11:53:19 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d17f018a
x11-themes/human-icon-theme: Port to EAPI 7
Package-Manager: Portage-2.3.82, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>
.../human-icon-theme-0.36-fix-buildsystem.patch | 22 +++++++++++++
.../human-icon-theme/human-icon-theme-0.36.ebuild | 36 +++++++++++-----------
2 files changed, 40 insertions(+), 18 deletions(-)
diff --git
a/x11-themes/human-icon-theme/files/human-icon-theme-0.36-fix-buildsystem.patch
b/x11-themes/human-icon-theme/files/human-icon-theme-0.36-fix-buildsystem.patch
new file mode 100644
index 00000000000..44999e7ae58
--- /dev/null
+++
b/x11-themes/human-icon-theme/files/human-icon-theme-0.36-fix-buildsystem.patch
@@ -0,0 +1,22 @@
+--- a/Makefile
++++ b/Makefile
+@@ -19,7 +19,7 @@
+
+ # run icon-naming-utils
+ for d in $$DESTDIR/usr/share/icons/Human/*; do \
+- (cd $$d; for c in *; do
/usr/lib/icon-naming-utils/icon-name-mapping -c $$c; done); \
++ (cd $$d; for c in *; do /usr/libexec/icon-name-mapping -c $$c;
done); \
+ done
+
+ # install mo files
+--- a/svg2png.sh.in
++++ b/svg2png.sh.in
+@@ -8,7 +8,7 @@
+ fi
+
+ ICONNAME=`echo ${3} | sed -e "s/.svg//"`
+-if test `basename $SVGCONVERT` = "rsvg"; then
++if test `basename $SVGCONVERT` = "rsvg-convert"; then
+ OPTIONS="-w ${1} -h ${1}"
+ else
+ OPTIONS="${1} ${1}"
diff --git a/x11-themes/human-icon-theme/human-icon-theme-0.36.ebuild
b/x11-themes/human-icon-theme/human-icon-theme-0.36.ebuild
index b8dec8cb643..cde168627e6 100644
--- a/x11-themes/human-icon-theme/human-icon-theme-0.36.ebuild
+++ b/x11-themes/human-icon-theme/human-icon-theme-0.36.ebuild
@@ -1,34 +1,38 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=4
-inherit gnome2-utils
+EAPI=7
+
+inherit xdg
DESCRIPTION="A nice and well polished icon theme"
HOMEPAGE="http://packages.ubuntu.com/lucid/human-icon-theme"
-SRC_URI="mirror://ubuntu/pool/universe/h/${PN}/${PN}_${PV}.tar.gz
+SRC_URI="
+ mirror://ubuntu/pool/universe/h/${PN}/${PN}_${PV}.tar.gz
https://www.gentoo.org/images/gentoo-logo.svg"
LICENSE="CC-BY-SA-2.5"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
-
RESTRICT="binchecks strip"
-RDEPEND="|| ( x11-themes/tangerine-icon-theme x11-themes/adwaita-icon-theme )"
-DEPEND=">=gnome-base/librsvg-2.34
- >=x11-misc/icon-naming-utils-0.8.90
+RDEPEND="
+ || (
+ x11-themes/adwaita-icon-theme
+ x11-themes/tangerine-icon-theme
+ )"
+BDEPEND="
dev-util/intltool
- sys-devel/gettext"
+ gnome-base/librsvg
+ sys-devel/gettext
+ x11-misc/icon-naming-utils"
-S=${WORKDIR}/${PN}
+S="${WORKDIR}/${PN}"
-DOCS="AUTHORS"
+PATCHES=( "${FILESDIR}"/${PN}-0.36-fix-buildsystem.patch )
src_prepare() {
- sed -i -e 's:lib/icon-naming-utils/icon:libexec/icon:' Makefile || die
- sed -i -e '/SVGCONVERT/s:rsvg:&-convert:' svg2png.sh.in || die #414971
+ xdg_src_prepare
cp "${DISTDIR}"/gentoo-logo.svg scalable/places/start-here.svg || die
@@ -42,7 +46,3 @@ src_prepare() {
src_compile() {
emake index.theme
}
-
-pkg_preinst() { gnome2_icon_savelist; }
-pkg_postinst() { gnome2_icon_cache_update; }
-pkg_postrm() { gnome2_icon_cache_update; }